/* CSS Document */
#spinner-modal { width: 200px; height: auto; margin-top: -80px; top: 50%; left: 50%; margin-left: -100px; }
#spinner-modal .spinner { top: 50px; left: 50%; }

.control-group.error .alert-danger { display: none; }

#owner-form .form-error.visited:not(:focus),
#owner-form .form-error.visited:not(:focus) + .select2-container > .selection > .select2-selection { background: var(--field-error-background-color) !important; }
#owner-form .select2-container.form-error { background: none !important; }
#owner-form .select2-container--dvcrequest-grey.form-error .select2-selection--single { background: #f4f4f4; }
#owner-form .control-group.form-error div.alert.alert-danger { display: none; }
#owner-form section.box .select2-container { width: 100% !important; }
#owner-form .control-group.radio { border-radius: 6px; }
#owner-form .control-group.radio > label { width: 100%; padding-left: 2px; }
#owner-form .control-group.radio.form-error.visited { background: var(--field-error-background-color) !important; }
#owner-form .control-group.radio.form-error.visited .radio-toggle { background: none; }

#instructions-section { width: 750px; max-width: 90vw; margin: 30px auto 0; }
#owner-information-section { width: 750px; max-width: 90vw; margin: 30px auto; }


section.box { background: #fff; border-radius: 8px; padding: 28px 50px; box-shadow: 0 10px 20px rgba(0, 0, 0, 0.05); }
section.box input { background: #f5f5f5; border-radius: 12px; border: 0; width: 100%; padding: 14px 16px; margin-bottom: 12px; }

section.box p:has(small) { line-height: 1; font-size: 14px; color: #000; font-weight: 300; font-style: italic; margin-bottom: 2rem; }

#owner-details-section { width: 600px; max-width: 90vw; margin: 30px auto; }
#owner-details-section .control-group.checkbox { text-align: center; }
#owner-details-section .control-group.checkbox label { display: block; }

#emergency-contact-section { width: 750px; max-width: 90vw; margin: 30px auto; }
#emergency-contact-section label[for="emergency-contact-first-name"] { margin-bottom: 10px; }

#listing-points-header-section { width: 750px; max-width: 90vw; margin: 30px auto; text-align: center; }
#listing-points-header-section label { display: block; }
#listing-points-header-section .radio-toggle { margin-top: 0; width: 300px; height: 52px; }
#listing-points-header-section #home-resorts { width: 300px; }

#confirmed-reservations-header-section { width: 750px; max-width: 90vw; margin: 30px auto; text-align: center; }
#confirmed-reservations-header-section label { display: block; }
#confirmed-reservations-header-section .radio-toggle { margin-top: 0; width: 300px; height: 52px; }
#confirmed-reservations-header-section #existing-reservations { width: 300px; }

.listing-points-section,
.confirmed-reservations-section { width: 600px; max-width: 90vw; margin: 30px auto; }
.listing-points-section .select2-container,
.confirmed-reservations-section .select2-container { display: block; }
.listing-points-section label { line-height: 1.2; }
.listing-points-section label div { line-height: 1; }
.listing-points-section p { line-height: 1; }
body.fixed-form .listing-points-section .radio-toggle,
body.fixed-form .confirmed-reservations-section .radio-toggle { height: 50px; margin-top: 0; margin-bottom: 12px; }
body.fixed-form .listing-points-section label,
body.fixed-form .confirmed-reservations-section label { line-height: 1.2; }
body.fixed-form .listing-points-section label small,
body.fixed-form .confirmed-reservations-section label small { display: block; line-height: 1.1; color: #717171; font-weight: 300; }

#referrer-section,
#additional-comments { width: 600px; max-width: 90vw; margin: 0 auto; }

#referrer-section { text-align: center; }
#referrer-section select { width: 300px; }
#referrer-section textarea,
#additional-comments textarea { width: 500px; max-width: 100%; border: 0; background: #f5f5f5; border-radius: 12px; padding: 12px 15px; }

#referrer-comments label { display: block; }
#referrer-section + h2,
#additional-comments + h2 { margin-top: 50px; }

@media ( max-width: 767px ) {
	.select2-container--dvcrequest-grey { margin-bottom: 12px; }
	#owner-information-section .row + label { margin-top: 12px; }
}
@media ( max-width: 440px ) {
	section.box { padding-left: 20px; padding-right: 20px; }
}
